curl --request PUT \
--url https://api.byblend.com/api/v1/prescribers/{prescriber_id}/qualifications/{qualification_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"state": "CA",
"license_number": "1234567890",
"description": "Nurse Practitioner, Family",
"expiration_date": "2025-03-15",
"is_active": true
}
'import requests
url = "https://api.byblend.com/api/v1/prescribers/{prescriber_id}/qualifications/{qualification_id}"
payload = {
"state": "CA",
"license_number": "1234567890",
"description": "Nurse Practitioner, Family",
"expiration_date": "2025-03-15",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
state: 'CA',
license_number: '1234567890',
description: 'Nurse Practitioner, Family',
expiration_date: '2025-03-15',
is_active: true
})
};
fetch('https://api.byblend.com/api/v1/prescribers/{prescriber_id}/qualifications/{qualification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"state": "CA",
"license_number": "1234567890",
"description": "Nurse Practitioner, Family",
"expiration_date": "2025-03-15",
"is_active": true
}Update a license/qualification
Update a license/qualification for a prescriber.
As a shorthand, you may also update the currently-active state license by making the same request to …/qualifications/OH (or equivalent state abbreviation).
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique (UUID) identifier, or 10-digit NPI, for the prescriber
Unique (UUID) identifier for the qualification, or, as a convenience, two-letter state abbreviation
"OH"
Body
"CA"
License number for the prescriber in this state. Note that when a state qualification is updated with a new license number, the old qualification will be automatically deactivated.
"1234567890"
Description of the license qualification
"Nurse Practitioner, Family"
"2025-03-15"
true
Response
License/qualification updated successfully
"CA"
License number for the prescriber in this state. Note that when a state qualification is updated with a new license number, the old qualification will be automatically deactivated.
"1234567890"
Description of the license qualification
"Nurse Practitioner, Family"
"2025-03-15"
true